SOLVED module installer cannot install memcached due to failure to locate libmemcached despite it being installed

Erik Knepfler

Member
Sep 2, 2014
18
1
53
Long Beach, California, United States
cPanel Access Level
Root Administrator
1. Installed memcached via PHP Pecl Module Installer for PHP 7.3, no problem
2. Did yum install libmemcached as root, installed OK (black terminal screen below)
3. Install memcached via PHP Pecl fails due to it not being able to find libmemcached.

If I knew precisely what command was being run with PHP Pecl, and I knew where libmemcached was installed, I could take the advice of using --with-libmemcached-dir= but if I'm going to be running the command myself then the Module Installer is kind of useless and broken in this case, or it's user error. Help?


1580672178701.png

SOLVED: yum install libmemcached-devel

Apparently that has to be there too. Strange that the PHP Pecl module installer output doesn't mention that.
 
  • Like
Reactions: cPanelLauren

cPanelLauren

Product Owner
Staff member
Nov 14, 2017
13,296
1,252
313
Houston
Hello,

I'm glad to see that you were able to resolve the issue, that output is what is retrieved if you were installing the PECL module directly, the installer just gives you a GUI to perform the installation.